Bug Hunting Session
Bug 103183 - Pasting text from OneNote fails
Summary: Pasting text from OneNote fails
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.1.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste-From-MSO
  Show dependency treegraph
 
Reported: 2016-10-13 12:29 UTC by Matt
Modified: 2019-10-26 02:10 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Text copied from OneNote 2010 - CL7 FreeClipboardViewer format (16.83 KB, application/octet-stream)
2016-10-22 17:04 UTC, Matt
Details
Free Clipboard Viewer after loading attachment 128164 (18.57 KB, image/png)
2016-10-22 17:56 UTC, Yousuf Philips (jay) (retired)
Details
Screen shot of FreeClipboardViewer 3 after initial copy (49.86 KB, image/png)
2016-10-26 20:09 UTC, Matt
Details
Screen cast showing the bug. (1.79 MB, video/mp4)
2016-10-26 20:30 UTC, Matt
Details
clipboard content (7.67 KB, application/octet-stream)
2017-09-07 16:02 UTC, raal
Details
OneNote 2010 vs OneNote 2016 clipboards sidebyside (47.52 KB, image/png)
2017-09-07 17:48 UTC, V Stuart Foote
Details
NirSoft InsideClipboard of OneNote 2016 clipboard (10.40 KB, application/octet-stream)
2017-09-07 17:49 UTC, V Stuart Foote
Details
Free Clipboard Viewer datafile of OneNote 2015 clipboard (1.51 MB, text/html)
2017-09-08 09:20 UTC, Thomas Lendo
Details
Free Clipboard Viewer datafle of OneNote 2016 clipboard (23.16 KB, text/html)
2017-09-08 12:35 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matt 2016-10-13 12:29:43 UTC
Description:
Copy text in OneNote. Go to Writer. Try Paste / Ctrl-V. Nothing shows up.

Steps to Reproduce:
1.Copy text in OneNote using Ctrl-C
2.Go to LibreOffice Writer.
3.Paste with Ctrl-V. Nothing happens.

Actual Results:  
Nothing.

Expected Results:
Text to be pasted into the document so I don't have to retype it all.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/53.0.2785.143 Safari/537.36
Comment 1 Yousuf Philips (jay) (retired) 2016-10-17 04:54:12 UTC
Hi Matt,

Thank you for reporting the bug. Are you able to paste the same copied text from OneNote into other applications like Notepad and Wordpad? In Writer, if you open the Edit menu, are the paste and paste special entries enabled or disabled? If the paste special entry is enabled, can you let us know which paste special entries are listed in the dialog.
Comment 2 Matt 2016-10-22 00:59:31 UTC
Hi, 

The same copied text CAN be pasted to Notepad++, WordPad, and Notepad. 
Edit | Paste, Paste Special..., and Paste Unformatted Text are all DISABLED.

Hope this helps. Let me know if I can do any other testing for you.

Matt
Comment 3 Yousuf Philips (jay) (retired) 2016-10-22 12:36:44 UTC
Hi Matt,

Which version of OneNote are you running and on which version of Windows? Which version of LibreOffice are you running? Can you install the clipboard viewer app below and once you've copied the text from OneNote, let us know which paste options it shows.

http://www.freeclipboardviewer.com/

@Stuart, @Aron, @Buovjaga: Any of you have MS OneNote?
Comment 4 Matt 2016-10-22 17:01:40 UTC
My OneNote is the one from MS Office Home/Student 2010, 32-bit version 14.0.7173.5000.

Windows 7 Home Premium 64-bit

LibreOffice is 
Version: 5.2.1.2
Build ID: 31dd62db80d4e60af04904455ec9c9219178d620
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: en-US (en_US); Calc: group

The text that I copied in Onenote is this:

"This is a test." (without the quotes)

http://www.freeclipboardviewer.com/ lists a bunch of options including something called "OneNote 2010 Internal". I will attach the .cl7 file.
Comment 5 Matt 2016-10-22 17:04:11 UTC
Created attachment 128164 [details]
Text copied from OneNote 2010 - CL7 FreeClipboardViewer format
Comment 6 Yousuf Philips (jay) (retired) 2016-10-22 17:56:20 UTC
Created attachment 128165 [details]
Free Clipboard Viewer after loading attachment 128164 [details]

(In reply to Matt from comment #5)
> Created attachment 128164 [details]
> Text copied from OneNote 2010 - CL7 FreeClipboardViewer format

So i loaded the file into Free Clipboard Viewer on Windows 8.1 and paste, paste special and paste unformatted text were all accessible in the edit menu. Only bad thing was that it chose to paste Bitmap over Unformatted Text.

I've attached what the loading of the file looked like for me, so does it look the same for you Matt? Is it possible for you to do a screencast showing this problem with Camstudio or screencast-o-matic.com?
Comment 7 Matt 2016-10-22 18:28:37 UTC
OK, I can verify the behavior you have. If I Ctrl-C from OneNote, it does NOT paste into LibreOffice. If I load the .CL7 file into free clipboard viewer, and then paste into LibreOffice, it does paste the .BMP. Paste, paste special and paste unformatted text were all accessible in the edit menu.

HOWEVER, there are some differences. The .CL7 file you show in your attachment has some different categories than when I load the .CL7 file. Here's the diffs:

I have HTML Format, you don't.
You have Net Resource, I don't.
I have OneNote 2010 Internal, you don't.
All the remaining categories that you have, I also have.

When I do Ctrl-C in OneNote, I get 14 categories: 
Preview, HTML Format, Unicode Text Format, Text, Enhanced Metafile, Bitmap DIB, Locale Identifier, OEM Text, Metafile Picture Format, Bitmap, Bitmap DIBV5, DataObject, OneNote 2010 Internal, and Ole Private Data.

But if I load the .cl7 file that I sent to you earlier, I get only 12 categories: 
Preview, HTML Format, Unicode Text Format, Text, Bitmap DIB, Locale Identifier, OEM Text, Bitmap DIBV5, Bitmap, DataObject, OneNote 2010 Internal, and Ole Private Data (Enhanced Metafile and Metafile Picture Format are missing, and the order of the Bitmap one changes.)

I verified that Ctrl-C gives 14 categories. I save the file in Free Clipboard Viewer, then immediately reload it, and it only shows 12 categories. The two Metafile categories are somehow dropped in the save process...or not loaded properly by the clipboard viewer from the .CL7 file.

I can probably do a screen cast, but not at the moment due to schedule.
Comment 8 Yousuf Philips (jay) (retired) 2016-10-23 14:27:58 UTC
Hi Matt,

Lets leave it as NEEDINFO while we await the screencast. If you can send a screenshot of Free Clipboard Viewer after the initial copy in the meantime, that would be appreciated.
Comment 9 Matt 2016-10-26 20:09:57 UTC
Created attachment 128291 [details]
Screen shot of FreeClipboardViewer 3 after initial copy
Comment 10 Matt 2016-10-26 20:16:58 UTC
BTW, trying to download CamStudio is flagged by Malwarebytes as a malicious site. No thanks...I'm trying the screencast-o-matic.com tool.
Comment 11 Matt 2016-10-26 20:30:08 UTC
Created attachment 128292 [details]
Screen cast showing the bug.
Comment 12 Matt 2017-04-09 01:42:12 UTC
Bug still present in 5.3.1.2 (x64).
Comment 13 Buovjaga 2017-04-23 16:21:02 UTC
If FreeClipboardViewer is lacking somehow, maybe this could work: http://www.nirsoft.net/utils/inside_clipboard.html
Comment 14 Thomas Lendo 2017-09-07 13:23:58 UTC
I've MS OneNote 2013 at work (part of MSO Standard 2013, version 15.0.4831.1000, 32-bit) and if I copy any text and paste (Ctrl+V) it to Writer, I got a bitmap (image) instead of text or nothing.

Pasting to other programs like Editor works well.

When I paste it with "Paste Special" (Ctrl+Shift+V) then all suggested selections work as expected:
* HTML format: text is pasted correctly incl. hyperlinks
* HTML format without comments: text is pasted correctly
* Unformatted text: text is pasted correctly
* GDI metafile: text is pasted as ugly image
* Bitmap: text is pasted as image which is the identical behavior to "Paste"

Expected result:
Writer should paste formatted OneNote text as formatted text or HTML text.


Tested with version: 5.4.0.3
Build ID: 7556cbc6811c9d992f4064ab9287069087d7f62c
CPU threads: 8; OS: Windows 6.2; UI render: GL; Locale: de-DE (de_DE); Calc: CL

and version: 5.1.4.2 (x64)
Build-ID: f99d75f39f1c57ebdd7ffc5f42867c12031db97a
CPU-Threads: 8; BS-Version: Windows 6.19; UI-Render: Standard; Gebietsschema: de-AT (de_DE)
Comment 15 raal 2017-09-07 15:51:49 UTC
I can confirm . Note2010, LO 6. Text not pasted.
Comment 16 raal 2017-09-07 16:02:07 UTC
Created attachment 136098 [details]
clipboard content

from Nirsoft InsideClipboard utility
Comment 17 V Stuart Foote 2017-09-07 17:18:35 UTC
Could not confirm with current builds.

On Windows 10 Ent 64-bit en-US with OneNote 2016 MSO (16.0.4549.1000) 64-bit and
Version: 6.0.0.0.alpha0+
Build ID: dccd1633a111ba124f9868a4a51579c95200d745
CPU threads: 8; OS: Windows 6.19; UI render: GL; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-09-06_06:44:26
Locale: en-US (en_US); Calc: CL

and with

Version: 5.4.1.1 (x64)
Build ID: a5be49f0c45fe24a575c7f41559aa8fc79a781a2
CPU threads: 8; OS: Windows 6.19; UI render: GL; 
Locale: en-US (en_US); Calc: group

Same result as Thomas L. notes in comment 14, the Ctrl+c/Ctrl+v copy paste of text pastes from system clipboard a PNG image of text with a border. 

But all Paste Special options otherwise provide sensible results, including pasting unformatted text. So, OneNote 2016 is placing the data (in multiple CF formats--confirmed with NirSoft's InsideClipboard) to clipboard, and LibreOffice _is_ reading them.

Our current default handling of pasting the PNG image from clipboard could probably be changed to instead paste unformatted text--but other than that WFM.
Comment 18 Buovjaga 2017-09-07 17:29:44 UTC
(In reply to V Stuart Foote from comment #17)
> Our current default handling of pasting the PNG image from clipboard could
> probably be changed to instead paste unformatted text--but other than that
> WFM.

Hmm, yes, it is a question of if we will ignore OneNote 2010 as later versions work..
Comment 19 V Stuart Foote 2017-09-07 17:48:31 UTC
Created attachment 136104 [details]
OneNote 2010 vs OneNote 2016 clipboards sidebyside

MS Office OneNote clipboard behavior has changed, comparing OneNote 2010 to OneNote 2016 shows changes to clipboard output by the program--notably support for CF_TEXT and CF_UNICODETEXT

Otherwise, loading attachment 136098 [details] into InsideClipboard v1.15 and the Paste and Paste Special pick up the unformatted text in LO 5.4.1 and current master.

And, a copy/paste or copy/paste special directly from OneNote 2016 works as expected.
Comment 20 V Stuart Foote 2017-09-07 17:49:51 UTC
Created attachment 136105 [details]
NirSoft InsideClipboard of OneNote 2016 clipboard
Comment 21 Thomas Lendo 2017-09-08 09:20:45 UTC
Created attachment 136116 [details]
Free Clipboard Viewer datafile of OneNote 2015 clipboard
Comment 22 Thomas Lendo 2017-09-08 09:22:36 UTC
(In reply to Thomas Lendo from comment #21)
> Created attachment 136116 [details]
> Free Clipboard Viewer datafile of OneNote 2015 clipboard
It's OneNote 2013, version 15.x
Comment 23 V Stuart Foote 2017-09-08 12:35:53 UTC
Created attachment 136120 [details]
Free Clipboard Viewer datafle of OneNote 2016 clipboard
Comment 24 QA Administrators 2018-10-23 02:50:24 UTC Comment hidden (obsolete)
Comment 25 Thomas Lendo 2018-10-23 13:42:10 UTC
Still reproducible.

Version: 6.2.0.0.alpha1+ (x64)
Build ID: ae9f37ba753519ae4a2ae6384d052d417359602f
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-10-23_02:03:22
Locale: de-AT (de_AT); Calc: CL
Comment 26 Matt 2018-10-24 14:18:01 UTC
Bug still present in
Version: 6.1.2.1 (x64)
Build ID: 65905a128db06ba48db947242809d14d3f9a93fe
CPU threads: 4; OS: Windows 6.1; UI render: default; 
Locale: en-US (en_US); Calc: group threaded
Comment 27 QA Administrators 2019-10-25 02:40:22 UTC Comment hidden (obsolete)
Comment 28 Matt 2019-10-25 11:33:38 UTC
The bug is still present: copy from MS OneNote 2010, paste into LibreOffice writer fails. (Also, paste fails into Calc, but probably same issue.)

I tested with 6.3.1.2 and it was present. I just now upgraded and tested on the latest version of LibreOffice with the same result:

Version: 6.3.2.2 (x64)
Build ID: 98b30e735bda24bc04ab42594c85f7fd8be07b9c
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

Note: Since I reported the bug, I recently upgraded from Windows 7 to Windows 10. This has had no effect on the bug.
Comment 29 Matt 2019-10-25 11:40:43 UTC
Work-around for this bug: copy from OneNote 2010, paste into Notepad++, copy same text from Notepad++, then paste into LibreOffice. That works.

I can function with the work-around. But I thought you would want to know about the bug even though my OneNote is old, because it shows that LibreOffice is not handling some paste-case properly. Maybe it will show up somewhere else.
Comment 30 QA Administrators 2019-10-26 02:10:22 UTC
Dear Matt,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug